package com.huimv.getdata.service;


import com.huimv.getdata.entity.caigou.*;
import com.huimv.getdata.entity.center.CaiGouJinE;
import com.huimv.getdata.entity.center.DangQianYvQi;
import com.huimv.getdata.entity.center.XiaoShouE;
import com.huimv.getdata.entity.center.YangMaoZhiCaiGouJinE;
import com.huimv.getdata.entity.voucher.ErpVoucher;

import java.util.Date;
import java.util.List;

public interface IErpCaiGouService {


    List<DingDanJinE> getDingDanJinE(String date);

    List<CaiGouRuKu> getCaiGouRuku(String date);

    List<FaPiaoJinE> getCaiGouFaPiao(String date);

    List<LeiJiRuKu> getLeiJiRuKu(String date);

    List<ShouLiaoJinE> getShouLiaoJinE(String date);

    List<JiaoHuoShuliang> getJiaoHuoShuLiang(String date);

    List<CaiGouShuLiang> getCaiGouShuLiang(String date);

    List<CaiGouDingDanShuLiangJinE> getCaiGouDingDanShuLiangJinE(String date);

    List<DaiJianShuLiang> getDaiJianShuLiang(String date);

    List<CaiGouYueJun> getCaiGouYueJun(String date);

    List<YingFuZhangKuan> getYingFuZhangKuang(String date);

    List<ZuiDiKuChun> getZuiDiKuChun(String date);

    List<CaiGouDingDanShuLiangJinE> getCaiGouHeTongShuLiangJinE(String date);
}
